MountCatalogService
The MountCatalogService methods and their request and response messages.
Generated from mount_catalog.proto. Every method is
POST /rpc/engram.app.v1.MountCatalogService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
RegisterSkill |
RegisterSkillRequest |
RegisterSkillResponse |
ListSkills |
ListSkillsRequest |
ListSkillsResponse |
GetSkill |
GetSkillRequest |
GetSkillResponse |
DeleteSkill |
DeleteSkillRequest |
DeleteSkillResponse |
Messages
Section titled “Messages”CatalogSkill
Section titled “CatalogSkill”| Field | Type |
|---|---|
id |
string |
owner |
string |
name |
string |
description |
string |
sha256 |
string |
size_bytes |
int64 |
created_at |
string |
DeleteSkillRequest
Section titled “DeleteSkillRequest”| Field | Type |
|---|---|
name |
string |
DeleteSkillResponse
Section titled “DeleteSkillResponse”| Field | Type |
|---|---|
deleted |
bool |
GetSkillRequest
Section titled “GetSkillRequest”| Field | Type |
|---|---|
name |
string |
GetSkillResponse
Section titled “GetSkillResponse”| Field | Type |
|---|---|
skill |
CatalogSkill |
ListSkillsRequest
Section titled “ListSkillsRequest”No fields.
ListSkillsResponse
Section titled “ListSkillsResponse”| Field | Type |
|---|---|
skills |
repeated CatalogSkill |
RegisterSkillRequest
Section titled “RegisterSkillRequest”| Field | Type |
|---|---|
name |
string |
description |
string |
owner |
string |
payload_tar |
bytes |
bins |
repeated string |
RegisterSkillResponse
Section titled “RegisterSkillResponse”| Field | Type |
|---|---|
skill |
CatalogSkill |